package com.app.portabledeviceapplication;

import java.util.ArrayList;

import android.content.Context;
import android.graphics.Bitmap;
import android.net.Uri;

public class IDSorter {
	ArrayList <String> MessageList; 
	Context context; 
	
	public IDSorter(Context context) {
		super();
		this.context = context;
	}
	/**
	 * Add messages to arrays based on ID
	 * @param ID
	 * @param messageList
	 * @param senderList
	 * @param timeList
	 * @param readList
	 * @param pictureMessageList
	 * @param pictureAddresses
	 * @param IDmessageList
	 * @param IDsenderList
	 * @param IDtimeList
	 * @param IDreadList
	 * @param IDpictureMessageList
	 * @param IDpictureAddresses
	 */
	public void addToArrayBasedOnID(String ID, ArrayList<String> messageList, ArrayList<String> senderList, ArrayList<String> timeList, ArrayList<Boolean> readList, ArrayList<Bitmap> pictureMessageList, ArrayList<Uri> pictureAddresses, ArrayList<String> IDmessageList, ArrayList<String> IDsenderList, ArrayList<String> IDtimeList, ArrayList<Boolean> IDreadList, ArrayList<Bitmap> IDpictureMessageList, ArrayList<Uri> IDpictureAddresses){
		for(int i = 0; i<messageList.size(); i++){
			if(messageList.get(i).contains(ID)){
				IDmessageList.add(messageList.get(i));
				IDsenderList.add(senderList.get(i));
				IDtimeList.add(timeList.get(i));
				IDreadList.add(readList.get(i));
				IDpictureMessageList.add(pictureMessageList.get(i));
				IDpictureAddresses.add(pictureAddresses.get(i));
			}
		}
	}
	
	/**
	 * Empties ID-lists before refilling them
	 * @param IDmessageList
	 * @param IDsenderList
	 * @param IDtimeList
	 * @param IDreadList
	 * @param IDpictureMessageList
	 * @param IDpictureAddresses
	 */
	public void clearIDLists(ArrayList<String> IDmessageList, ArrayList<String> IDsenderList, ArrayList<String> IDtimeList, ArrayList<Boolean> IDreadList, ArrayList<Bitmap> IDpictureMessageList, ArrayList<Uri> IDpictureAddresses){
		IDmessageList.clear();
		IDsenderList.clear();
		IDtimeList.clear();
		IDreadList.clear();
		IDpictureMessageList.clear();
		IDpictureAddresses.clear();
	}

}
